package com.admin.major.mapper;

import java.util.List;
import com.admin.major.domain.Notice;

/**
 * 消息管理Mapper接口
 * 
 * @author zewei
 * @date 2022-03-26
 */
public interface NoticeMapper 
{
    /**
     * 查询消息管理
     * 
     * @param noticeId 消息管理主键
     * @return 消息管理
     */
    public Notice selectNoticeByNoticeId(String noticeId);

    /**
     * 查询消息管理列表
     * 
     * @param notice 消息管理
     * @return 消息管理集合
     */
    public List<Notice> selectNoticeList(Notice notice);

    /**
     * 新增消息管理
     * 
     * @param notice 消息管理
     * @return 结果
     */
    public int insertNotice(Notice notice);

    /**
     * 修改消息管理
     * 
     * @param notice 消息管理
     * @return 结果
     */
    public int updateNotice(Notice notice);

    /**
     * 删除消息管理
     * 
     * @param noticeId 消息管理主键
     * @return 结果
     */
    public int deleteNoticeByNoticeId(String noticeId);

    /**
     * 批量删除消息管理
     * 
     * @param noticeIds 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteNoticeByNoticeIds(String[] noticeIds);
}
